aboutsummaryrefslogtreecommitdiff
path: root/mail/fetchmail/files
diff options
context:
space:
mode:
authorMatthew Hunt <mph@FreeBSD.org>1998-06-13 19:26:55 +0000
committerMatthew Hunt <mph@FreeBSD.org>1998-06-13 19:26:55 +0000
commit1ab42dd5cfe19a85715af013d01eae9261e17e92 (patch)
tree58c4b90297f8e3bb860a9c40a613b3f5db43b700 /mail/fetchmail/files
parent8cce0da68359d878cb0fd901da6edcb1a801d81c (diff)
downloadports-1ab42dd5cfe19a85715af013d01eae9261e17e92.tar.gz
ports-1ab42dd5cfe19a85715af013d01eae9261e17e92.zip
Notes
Diffstat (limited to 'mail/fetchmail/files')
-rw-r--r--mail/fetchmail/files/fetchmailconf19
1 files changed, 19 insertions, 0 deletions
diff --git a/mail/fetchmail/files/fetchmailconf b/mail/fetchmail/files/fetchmailconf
new file mode 100644
index 000000000000..98a3d0f42adb
--- /dev/null
+++ b/mail/fetchmail/files/fetchmailconf
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# Wrapper for the real fetchmailconf. Checks whether Python is installed,
+# and runs the real fetchmailconf or alerts the user, as appropriate.
+#
+# $Id$
+
+PREFIX=@PREFIX@
+
+if [ -e $PREFIX/bin/python ]; then
+ exec $PREFIX/libexec/fetchmailconf.bin
+else
+ cat <<EOF
+The fetchmailconf program requires Python, which does not appear to be
+installed on this system. Python can be found in the FreeBSD Ports
+Collection under lang/python.
+EOF
+ exit 1
+fi